tbb_assert_impl.h File Reference
`#include <cstdlib>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdarg.h>`
Include dependency graph for tbb_assert_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_EXPORTED_FUNC

## Typedefs

typedef void(* | tbb::assertion_handler_type) (const char *filename, int line, const char *expression, const char *comment)
| Type for an assertion handler. More...

## Functions

assertion_handler_type __TBB_EXPORTED_FUNC | tbb::set_assertion_handler (assertion_handler_type new_handler)
| Set assertion handler and return previous value of it. More...
void __TBB_EXPORTED_FUNC | tbb::assertion_failure (const char *filename, int line, const char *expression, const char *comment)
| Process an assertion failure. More...
void __TBB_EXPORTED_FUNC | tbb::internal::runtime_warning (const char *format,...)
| Report a runtime warning. More...

## Variables

static assertion_handler_type | tbb::assertion_handler

## Macro Definition Documentation

## __TBB_EXPORTED_FUNC

#define __TBB_EXPORTED_FUNC

Definition at line 37 of file tbb_assert_impl.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.